/***************************************************************************
                          kmathtool.cpp  -  description
                             -------------------
    begin                : Mit Apr 10 19:46:42 CEST 2002
    copyright            : (C) 2002 by Birgit Schulz
    email                : B.Schulz@Superlehrer.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kmathtool.h"
#include "kmathtoolview.h"

#include <klocale.h>
#include <kxmlguibuilder.h>
#include <kxmlguiclient.h>

KMathTool::KMathTool(QWidget *parent, const char *name) : KMainWindow(parent, name)
{
	view = new KMathToolView(this);
 	setCentralWidget(view);

//Menuentries of Menu Functions   
	FunctionsLinesTwoPoints = new KAction(i18n("Equation for Line (two points)"), 0, 0, view, SLOT(slotShowLinesTwoPoints()), actionCollection(),"FunctionsLinesTwoPoints");
    FunctionsLinesOnePoint = new KAction(i18n("Equation for Line (one point and rising)"), 0, 0, view, SLOT(slotShowLinesOnePoint()), actionCollection(),"FunctionsLinesOnePoint");
    FunctionsLinesAxisSection = new KAction(i18n("Find Section of Line with Axes"), 0, 0, view, SLOT(slotShowLinesAxisSection()), actionCollection(),"FunctionsLinesAxisSection");
    FunctionsLinesSection = new KAction(i18n("Find Section-Point of two Lines"), 0, 0, view, SLOT(slotShowLinesSection()), actionCollection(),"FunctionsLinesSection");

	FunctionsParabolaFindScheitel = new KAction(i18n("Find Vertex of Parabola"), 0, 0, view, SLOT(slotShowParabolaFindScheitel()), actionCollection(),"ParabolaFindScheitel");
    FunctionsParabolaAxisSection = new KAction(i18n("Find Section-Points with Axes"), 0, 0, view, SLOT(slotShowParabolaAxisSection()), actionCollection(),"ParabolaAxisSection");
    FunctionsParabolaEquationWithScheitel = new KAction(i18n("Equation of Standard-Parabola with given Vertex"), 0, 0, view, SLOT(slotShowParabolaEquationWithScheitel()), actionCollection(),"ParabolaEquationWithScheitel");
    FunctionsParabolaEquationWith3Points = new KAction(i18n("Equation with 3 given Points"), 0, 0, view, SLOT(slotShowParabolaEquationWith3Points()), actionCollection(),"ParabolaEquationWith3Points");
    FunctionsParabolaEquationWithScheitelAndPoint = new KAction(i18n("Equation with Vertex and one Point"), 0, 0, view, SLOT(slotShowParabolaEquationWithScheitelAndPoint()), actionCollection(),"ParabolaEquationWithScheitelAndPoint");
	FunctionsParabolaLineSection = new KAction(i18n("Find Section-Points with Line"), 0, 0, view, SLOT(slotShowParabolaLineSection()), actionCollection(),"ParabolaLineSection");
 	FunctionsParabolaParabolaSection = new KAction(i18n("Find Section-Points with Parabola"), 0, 0, view, SLOT(slotShowParabolaParabolaSection()), actionCollection(),"ParabolaParabolaSection");


//Menuentries of Menu Calculate
    CalculateCalculateIntegerDivision = new KAction(i18n("Integer Divison"), 0, 0, view, SLOT(slotShowLinesTwoPoints()), actionCollection(),"CalculateCalculateIntegerDivision");
    CalculateCalculateDevision = new KAction(i18n("Divison"), 0, 0, view, SLOT(slotShowLinesTwoPoints()), actionCollection(),"CalculateCalculateDevision");
    CalculateCalculateMultiplikation1 = new KAction(i18n("Multiplication"), 0, 0, view, SLOT(slotShowLinesTwoPoints()), actionCollection(),"CalculateCalculateMultiplikation1");
//    CalculateCalculateMultiplikation2 = new KAction(i18n("Equation for line (two points)"), 0, 0, view, SLOT(slotShowLinesTwoPoints()), actionCollection(),"FunctionsLinesTwoPoints");

    CalculateFactorsHCF = new KAction(i18n("Find HCF"),0, 0, view, SLOT(slotShowFactorsFindHCF()), actionCollection(),"CalculateFactorsHCF");
    CalculateFactorsLCM = new KAction(i18n("Find LCM"), 0, 0, view, SLOT(slotShowFactorsFindLCM()), actionCollection(),"CalculateFactorsLCM");
    CalculateFactorsFactorize = new KAction(i18n("Factorize Number"), 0, 0, view, SLOT(slotShowFactorsFactorize()), actionCollection(),"CalculateFactorsFactorize");
    CalculateFactorsFactors = new KAction(i18n("Find All Factors of Number"), 0, 0, view, SLOT(slotShowFactorsFactors()), actionCollection(),"CalculateFactorsFactors");
    CalculateFactorsProvePrime = new KAction(i18n("Prove Number if it is Prime"), 0, 0, view, SLOT(slotShowFactorsProvePrime()), actionCollection(),"CalculateFactorsProvePrime");
    CalculateFactorsFindPrime = new KAction(i18n("Find Prime Numbers"), 0, 0, view, SLOT(slotShowFactorsFindPrime()), actionCollection(),"CalculateFactorsFindPrime");

//Menuentries of Menu Geometry
    GeometryAreaSquare  = new KAction(i18n("Square"),0, 0, view, SLOT(slotShowAreaSquare()), actionCollection(),"GeometryAreaSquare");
    GeometryAreaRectangle  = new KAction(i18n("Rectangle"),0, 0, view, SLOT(slotShowAreaRectangle()), actionCollection(),"GeometryAreaRectangle");
    GeometryAreaCircle = new KAction(i18n("Circle"),0, 0, view, SLOT(slotShowAreaCircle()), actionCollection(),"GeometryAreaCircle");

    //menubar creation
    createGUI("kmathtoolui.rc");
    //createGUI(locate("data","kmathtoolui.rc"));

	
}

KMathTool::~KMathTool()
{
}

void KMathTool::slotShowLinesTwoPoints()
{
   //nix
}

 

#include "kmathtool.moc"
